Bug 164807 - g++4 compiler emits warning for construct in .../bits/locale_facets.tcc:1115
g++4 compiler emits warning for construct in .../bits/locale_facets.tcc:1115
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gcc (Show other bugs)
4.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On: 157190
Blocks: 156322
  Show dependency treegraph
 
Reported: 2005-08-01 12:05 EDT by Elena Zannoni
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2005-677
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 07:18:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Elena Zannoni 2005-08-01 12:05:49 EDT
+++ This bug was initially created as a clone of Bug #157190 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux) (KHTML, like Gecko)

Description of problem:
compiling with ostream and -Wall emits the following warning for a construct 
within the system headers: 
 
/usr/include/c++/3.4.3/bits/locale_facets.tcc:1115: warning: suggest 
parentheses around assignment used as truth value 

Version-Release number of selected component (if applicable):
gcc4-c++-4.0.0-0.41.fc3


How reproducible:
Always

Steps to Reproduce:
1. compile c++ source file using ostream include file 
2. use -Wall flag when compiling 
3. 
   

Actual Results:  compiler emits warning  

Expected Results:  compiler should be happy with the system headers. 

Additional info:
Comment 1 Red Hat Bugzilla 2005-10-05 07:18:21 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-677.html

Note You need to log in before you can comment on or make changes to this bug.